Commits

Benjamin Peterson committed eff9d11

disable lib2to3 in the trunk. It's broken just for 2.6

Comments (0)

Files changed (1)

Lib/test/test_lib2to3.py

 # because of running
 from lib2to3.tests import test_fixers, test_pytree, test_util
 import unittest
-from test.test_support import run_unittest, requires
+from test.test_support import run_unittest, requires, TestSkipped
 
 # Don't run lib2to3 tests by default since they take too long
 if __name__ != '__main__':
+    raise TestSkipped('HELP! lib2to3 is broken in Python 2.6!')
     requires('lib2to3')
 
 def suite():